## massxpert 3.5.0

=== CMakeLists.txt ===
#############################################################
# Software configuration
PROJECT(massxpert)
SET(VERSION "3.5.0")

IF(APPLE)
  # If Mac OS X, then capitalize the program name.
  set(PROGNAME massXpert)
ELSE(NOT APPLE)
  set(PROGNAME massxpert)
ENDIF(APPLE)

# Required to install and reference the translation files and to give
# to the executable(in Mac OS X) the proper filename.
set(TARGET ${PROGNAME})

#############################################################
# CMake configuration
CMAKE_MINIMUM_REQUIRED(VERSION 3.2.2)

SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_VERBOSE_MAKEFILE ON)

#############################################################
# Enable warnings and treat them as errors, on GNU/Linux only
IF(UNIX)
  SET(PEDANTIC TRUE CACHE BOOL "Should we compile with -Wall -Werror.")
  
  IF(PEDANTIC)
    ADD_DEFINITIONS(-Wall -Werror)
  ENDIF(PEDANTIC)
ENDIF(UNIX)

IF(WIN32)
  SET(PEDANTIC TRUE CACHE BOOL "Should we compile with -Wall.")
  
  IF(PEDANTIC)
    ADD_DEFINITIONS(-Wall)
  ENDIF(PEDANTIC)
ENDIF(WIN32)

#############################################################
#############################################################
# Installation directories depending on the platform.

IF (WIN32)
  # ${CMAKE_INSTALL_PREFIX} == "C:/Program Files/massxpert" The
  # CMAKE_INSTALL_PREFIX value can be changed by running
  #
  #'cmake -d CMAKE_INSTALL_PREFIX=C:/Program Files/massxpert'
  #
  #, for example.
  SET (MASSXPERT_BIN_DIR ${CMAKE_INSTALL_PREFIX})
  SET (MASSXPERT_DATA_DIR ${CMAKE_INSTALL_PREFIX}/data)
  SET (MASSXPERT_LOCALE_DIR ${CMAKE_INSTALL_PREFIX}/locales)
  SET (MASSXPERT_DOC_DIR ${CMAKE_INSTALL_PREFIX}/doc)
ENDIF (WIN32)

IF (UNIX AND NOT APPLE)
 SET(MASSXPERT_BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin)
SET(MASSXPERT_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/massxpert)

SET(MASSXPERT_LOCALE_DIR ${CMAKE_INSTALL_PREFIX}/share/massxpert/locales)
SET(MASSXPERT_DOC_DIR ${CMAKE_INSTALL_PREFIX}/share/doc/massxpert)
SET(MASSXPERT_USERMAN_DIR ${MASSXPERT_DOC_DIR}/usermanual)
ENDIF (UNIX AND NOT APPLE)

IF (APPLE)
  SET (BUNDLE_DIR ${CMAKE_CURRENT_BINARY_DIR}/gui/massXpert.app)
  SET (MASSXPERT_BIN_DIR ${BUNDLE_DIR}/Contents/MacOS)
  SET (MASSXPERT_DATA_DIR ${BUNDLE_DIR}/Contents/Resources/data)
  SET (MASSXPERT_LOCALE_DIR ${BUNDLE_DIR}/Contents/Locales)
  SET (MASSXPERT_DOC_DIR ${BUNDLE_DIR}/Contents/Doc)
ENDIF (APPLE)

#############################################################
#############################################################
# There are two functional subtrees in the source:
#
# 1. The source code generating the massxpert binary, which is
# architecture-dependent;
#
# 2. The chemical data and the documentation(user manual) which are
# architecture independent.
#
# Note that if BUILD_ALL = 1 then all of the BUILD_PROGRAM, BUILD_DATA or
# BUILD_USERMANUAL are defined to 1 and everything is built.

IF(BUILD_ALL)
  SET(BUILD_PROGRAM 1)
  SET(BUILD_DATA 1)
  SET(BUILD_USERMANUAL 1)
ENDIF(BUILD_ALL)

IF(BUILD_RESET)
  SET(BUILD_PROGRAM 0)
  SET(BUILD_DATA 0)
  SET(BUILD_USERMANUAL 0)
ENDIF(BUILD_RESET)

IF(NOT BUILD_PROGRAM AND NOT BUILD_DATA AND NOT BUILD_USERMANUAL)
  SET(BUILD_PROGRAM 1)
  SET(BUILD_DATA 1)
  SET(BUILD_USERMANUAL 0)
ENDIF(NOT BUILD_PROGRAM AND NOT BUILD_DATA AND NOT BUILD_USERMANUAL)


#############################################################
######################
# BUILD OF THE PROGRAM

IF(${BUILD_PROGRAM})

  IF(CMAKE_BUILD_TYPE STREQUAL "debug")
    ADD_DEFINITIONS(-g -O2)
  ENDIF()

# Find the QtWidgets library
FIND_PACKAGE(Qt5Widgets)
FIND_PACKAGE(Qt5Svg)
FIND_PACKAGE(Qt5Xml)

MESSAGE(STATUS "QTVERSION:" ${QTVERSION})

# Use all the configured paths to create the config.h file.
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CMakeTemplates/config.h.in 
  ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

###############
# install stuff

# The license file
INSTALL(FILES COPYING
  DESTINATION ${MASSXPERT_DOC_DIR})

# The desktop file
IF(UNIX AND NOT APPLE)
  INSTALL(FILES massxpert.desktop
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
ENDIF(UNIX AND NOT APPLE)

# The manual page
IF(UNIX AND NOT APPLE)
  INSTALL(FILES massxpert.1
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
ENDIF(UNIX AND NOT APPLE)


#################
# process subdirs
SUBDIRS(lib gui i18n)

ENDIF(${BUILD_PROGRAM})


#############################################################
###################
# BUILD OF THE DATA

IF(${BUILD_DATA})
  
  ###############
  # install stuff
  
  # The license file
  INSTALL(FILES COPYING
    DESTINATION ${MASSXPERT_DOC_DIR})
  
  # The manual pages(data)
  IF(UNIX AND NOT APPLE)
    INSTALL(FILES massxpert-data.7
      DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man7)
  ENDIF(UNIX AND NOT APPLE)
  
  #################
  # process subdirs
  SUBDIRS(data)
  
ENDIF(${BUILD_DATA})


#############################################################
##########################
# BUILD OF THE USER MANUAL

IF(${BUILD_USERMANUAL})
  
  # Below : no more in use since started using UseLATEX.cmake
  # Use the configured VERSION to create the 
  # usermanual/massxpert-version.tex file
  #
  #CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CMakeTemplates/massxpert-version.tex.in
  #  ${CMAKE_SOURCE_DIR}/usermanual/massxpert-version.tex @ONLY)
  
  
  ###############
  # install stuff
  
  # The license file
  INSTALL(FILES COPYING
    DESTINATION ${MASSXPERT_DOC_DIR})
  
  # The manual pages(user manual)
  IF(UNIX AND NOT APPLE)
    INSTALL(FILES massxpert-doc.7
      DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man7)
  ENDIF(UNIX AND NOT APPLE)
  
  
  #################
  # process subdirs
  SUBDIRS(usermanual)

ENDIF(${BUILD_USERMANUAL})


#############################################################
# summary
MESSAGE("")
MESSAGE("~~~~~~~~~~~~~~~~~~~~~~~~ SUMMARY ~~~~~~~~~~~~~~~~~~~~~~~~")
MESSAGE("")
MESSAGE(STATUS "BUILD_PROGRAM: ${BUILD_PROGRAM}")
MESSAGE(STATUS "BUILD_DATA: ${BUILD_DATA}")
MESSAGE(STATUS "BUILD_USERMANUAL: ${BUILD_USERMANUAL}")
MESSAGE("")
MESSAGE("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~")
MESSAGE("")
MESSAGE(STATUS "TARGET: ${TARGET}\ --\ VERSION: ${VERSION}")
MESSAGE(STATUS "CMAKE_INSTALL_PREFIX: ${CMAKE_INSTALL_PREFIX}")
MESSAGE(STATUS "MASSXPERT_BIN_DIR: ${MASSXPERT_BIN_DIR}")
MESSAGE(STATUS "MASSXPERT_DATA_DIR: ${MASSXPERT_DATA_DIR}")
MESSAGE(STATUS "MASSXPERT_LOCALE_DIR: ${MASSXPERT_LOCALE_DIR}")
MESSAGE(STATUS "MASSXPERT_DOC_DIR: ${MASSXPERT_DOC_DIR}")
MESSAGE(STATUS "MASSXPERT_USERMAN_DIR: ${MASSXPERT_USERMAN_DIR}")
MESSAGE("")
MESSAGE("~~~~~~~~~~~~~~~~~~~~~~~~ SUMMARY ~~~~~~~~~~~~~~~~~~~~~~~~")
MESSAGE("")

=== debian/changelog ===
massxpert (3.5.0-2) unstable; urgency=medium

  * Closes: #777998.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 09 Jul 2015 16:43:00 +0200

massxpert (3.5.0-1) unstable; urgency=medium

  * Fixes to the code errors spotted by gcc-5.1.1 (20150622). Not closing
    the bug number #777998 as requested by the reporter (Matthias Klose
    <doko@debian.org>);

  * New upstream version 3.5.0 with finished Qt5 port;

  * Build-Depends: change to qtbase5-dev (>= 5.3.2+dfsg-5), libqt5svg5-dev
    (>= 5.3.2-2), and cmake (>= 3.2.2-2);

  * Standards-Version: bump up to 3.9.6. No changes needed;

  * moved upstream to upstream/metadata (Thanks Andreas Tille, although I
    had done this long ago, Mon Aug 18, without pushing, sadly).
    
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Jul 2015 22:37:23 +0200

massxpert (3.4.0-2) UNRELEASED; urgency=medium

  * Team upload
  * Moved debian/upstream to debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Fri, 31 Oct 2014 18:55:26 +0100

## massxpert 3.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # Software configuration
 PROJECT(massxpert)
-SET(VERSION "3.5.0")
+SET(VERSION "3.6.0")
 
 IF(APPLE)
   # If Mac OS X, then capitalize the program name.

=== gui/CMakeLists.txt ===
########################################################
# Files

file(GLOB massxpert_SRCS *.cpp)
file(GLOB massxpert_UIS ui/*.ui)
file(GLOB Resources *.qrc)

set(CMAKE_INCLUDE_CURRENT_DIR ON)


#############################################################
# application icon
IF (WIN32 AND NOT MSVC)
  # Icon for windows
  # Note: can't include .rc directly to source files
  # as it's ignored when used MinGW
  IF (NOT WINDRES)
    FIND_PROGRAM (WINDRES windres)
    IF (NOT WINDRES)
      MESSAGE (FATAL_ERROR "windres not found - aborting")
    ENDIF (NOT WINDRES)
  ENDIF (NOT WINDRES)
  
  IF (MINGW)
    # resource compilation for MinGW
    ADD_CUSTOM_COMMAND (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.obj
      COMMAND ${WINDRES} 
      -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/massxpert.rc
      -o ${CMAKE_CURRENT_BINARY_DIR}/icon.obj
      )
    SET (massxpert_SRCS ${massxpert_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.obj)
  ELSE (MINGW)
    SET (massxpert_SRCS ${massxpert_SRCS} 
      ${CMAKE_CURRENT_SOURCE_DIR}/massxpert.rc)
  ENDIF (MINGW)
  
ENDIF (WIN32 AND NOT MSVC)


########################################################
# Build

IF(CMAKE_BUILD_TYPE STREQUAL "debug")
  ADD_DEFINITIONS (-g -O0)
ENDIF()

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

QT5_WRAP_UI(massxpert_UIS_H ${massxpert_UIS})

QT5_ADD_RESOURCES(massxpertQRC_CPP application.qrc)

IF (APPLE)

ADD_EXECUTABLE (${PROGNAME}  MACOSX_BUNDLE 
  ${massxpert_SRCS}
  ${massxpert_UIS_H} 
  ${massxpertQRC_CPP})

# Apple bundle configuration

  SET (MACOSX_BUNDLE_INFO_STRING "massXpert - version ${VERSION}")
  SET (MACOSX_BUNDLE_BUNDLE_VERSION ${VERSION})
  # Change following line to point to actual icns file in bundle.
  SET (MACOSX_BUNDLE_ICON_FILE "massXpert.icns")
  # means bundle is set to be org.massxpert
  SET (MACOSX_BUNDLE_GUI_IDENTIFIER "org.massxpert")
  SET (MACOSX_BUNDLE_BUNDLE_NAME "massXpert")

  EXEC_PROGRAM ("mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/massXpert.app/Contents/Resources")
  
EXEC_PROGRAM ("cp ${CMAKE_CURRENT_SOURCE_DIR}/images/massXpert.icns ${CMAKE_CURRENT_BINARY_DIR}/massXpert.app/Contents/Resources")
  
# We want to build universal binaries 
SET (CMAKE_OSX_ARCHITECTURES "ppc;i386" 
  CACHE STRING "Build architectures for OSX" FORCE) 

# That can be deployed on older system 
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.3" 
  CACHE STRING "Flags used by the compiler during all build types." FORCE)

SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden" 
  CACHE STRING "Flags used by the compiler during all build types." FORCE)

SET (CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.4u.sdk" 
  CACHE STRING "MacOSX10.4u.sdk." FORCE)

SET_SOURCE_FILES_PROPERTIES (application.qrc ${TARGET}_fr.qm 
  PROPERTIES MACOSX_BUNDLE_LOCATION Resources)

ELSE (APPLE)

ADD_EXECUTABLE(${PROGNAME}
  ${massxpert_SRCS} 
  ${massxpert_UIS_H} 
  ${massxpertQRC_CPP})

ENDIF (APPLE)

INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR} 
  ${CMAKE_BINARY_DIR} # for the config.h file generated from config.h.in
  ../lib)

# Make sure all the symbols from libmasslib.a are in the executable binary!
IF (APPLE)
  SET(MASSLIB -Wl,-all_load ${massxpert_BINARY_DIR}/lib/libmasslib.a -Wl,-noall_load -Wl,-framework,CoreFoundation)
ELSE (APPLE)
SET(MASSLIB -Wl,-whole-archive ${massxpert_BINARY_DIR}/lib/libmasslib.a -Wl,-no-whole-archive)
ENDIF (APPLE)

# Use the Widgets module from Qt 5.
TARGET_LINK_LIBRARIES(${PROGNAME}
  ${MASSLIB}
  Qt5::Widgets
  Qt5::Xml
  Qt5::Svg)

IF (APPLE)
  # Copy the massXpert.icns icon file in the bundle
  INSTALL (FILES images/massXpert.icns
    DESTINATION ${BUNDLE_DIR}/Contents/Resources)
  
  # Copy the Info.plist file in the bundle
  #INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/massXpert.app/Contents/Info.plist
  #  DESTINATION ${BUNDLE_DIR}/Contents)

ENDIF (APPLE)

IF (NOT APPLE)

  # When building a Mac bundle, we do not install the target
  # because the bundle is being fabricated already.
INSTALL(TARGETS ${PROGNAME} RUNTIME DESTINATION ${MASSXPERT_BIN_DIR})

ENDIF (NOT APPLE)

=== i18n/CMakeLists.txt ===
SET (massxpert_TRANSLATIONS massxpert_fr.qm)

INSTALL (FILES ${massxpert_TRANSLATIONS} 
  DESTINATION ${MASSXPERT_LOCALE_DIR})

=== lib/CMakeLists.txt ===
########################################################
# Files

file(GLOB masslib_SRCS *.cpp)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

########################################################
# Build

IF(CMAKE_BUILD_TYPE STREQUAL "debug")
  ADD_DEFINITIONS(-g -O0)
ENDIF()

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

ADD_LIBRARY(masslib STATIC 
  ${masslib_SRCS})


INCLUDE_DIRECTORIES(
  ${QT_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}) # for the config.h file generated from config.h.in

TARGET_LINK_LIBRARIES(masslib
  Qt5::Xml
  Qt5::Svg)

=== debian/control ===
Source: massxpert
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>=9.20130630),
               dpkg-dev (>= 1.16.1~),
               qtbase5-dev (>= 5.3.2+dfsg-5),
               libqt5svg5-dev (>= 5.3.2-2),
               cmake (>= 3.2.2-2),
               texlive-latex-recommended,
               texlive-fonts-recommended
Standards-Version: 3.9.6
Homepage: http://www.massxpert.org
Vcs-Git: git://anonscm.debian.org/debichem/packages/massxpert.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/massxpert.git

Package: massxpert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, massxpert-data (>= ${source:Upstream-Version}), massxpert-data (<< ${source:Upstream-Version}A~)
Suggests: massxpert-doc
Replaces: massxpert-bin
Conflicts: massxpert-bin
Description: linear polymer mass spectrometry software
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 Four modules allow:
  - making brand new polymer chemistry definitions;
  - using the definitions to perform easy calculations in a desktop
    calculator-like manner;
  - performing sophisticated polymer sequence editing and simulations;
  - perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches, calculation of the isotopic
 pattern...

Package: massxpert-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, massxpert (= ${binary:Version})
Description: linear polymer mass spectrometry software - debugging symbols
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 Four modules allow:
  - making brand new polymer chemistry definitions;
  - using the definitions to perform easy calculations in a desktop
    calculator-like manner;
  - performing sophisticated polymer sequence editing and simulations;
  - perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches, calculation of the isotopic
 pattern...
 .
 This package provides the debugging symbols for massxpert.

Package: massxpert-data
Architecture: all
Depends: ${misc:Depends}
Description: linear polymer mass spectrometry software - arch-indep data
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 This package contains the architecture-independent data required for
 the proper functioning of massXpert. For example, polymer chemistry
 definition files are in this package.

Package: massxpert-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linear polymer mass spectrometry software - manual
 massXpert is a program to simulate and analyse mass spectrometric
 data obtained on linear (bio-)polymers. It is the successor of GNU
 polyxmass.
 .
 This package contains the manual in PDF format.

=== debian/rules ===
#!/usr/bin/make -f
# Based on the initial work of Joey Hess and Craig Small.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CMAKE=/usr/bin/cmake

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

BUILD_INDEP_DIR = $(CURDIR)/debian/build-indep
BUILD_ARCH_DIR = $(CURDIR)/debian/build-arch

INSTALL_INDEP_DIR = $(CURDIR)/debian/tmp-indep
INSTALL_ARCH_DIR = $(CURDIR)/debian/tmp-arch

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(NUMJOBS)
endif

$(info "---------------------------------------")
$(info NUMJOBS: $(NUMJOBS))
$(info MAKEFLAGS: $(MAKEFLAGS))
$(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
$(info "---------------------------------------")

# Hardening stuff for debhelper compat level 9, see
# http://wiki.debian.org/Hardening

# To enable all, uncomment following line
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

.NOTPARALLEL: 


.PHONY: clean
clean:
	dh_testdir
	dh_testroot

	dh_clean

# The following is for the binary software
	rm -rf $(BUILD_INDEP_DIR)
	rm -rf $(BUILD_ARCH_DIR)
	rm -rf $(INSTALL_INDEP_DIR) $(INSTALL_ARCH_DIR)

# No more used because we now use CMake with UseLATEX.cmake
# The following is for the user manual
#	cd $(CURDIR)/usermanual && $(MAKE) distclean


build-indep-stamp: 
	dh_testdir
	dh_prep -i

	rm -rf $(INSTALL_INDEP_DIR)
	mkdir -p $(BUILD_INDEP_DIR)

# The following is for building of the user manual
	cd $(BUILD_INDEP_DIR) && \
	$(CMAKE) \
	-D BUILD_PROGRAM=0 \
	-D BUILD_DATA=1 \
	-D BUILD_USERMANUAL=1 \
	-D CMAKE_INSTALL_PREFIX=/usr ../.. 

	# No more this way, as we now use CMake with UseLATEX.cmake
	# cd $(CURDIR)/usermanual && $(MAKE) -f Makefile all_no_reload
	$(MAKE) -C $(BUILD_INDEP_DIR)

	touch build-indep-stamp


build-arch-stamp: 
	dh_testdir
	dh_prep -a

	rm -rf $(INSTALL_ARCH_DIR)
	mkdir -p $(BUILD_ARCH_DIR)

# The following is for building of the binary massxpert software
	cd $(BUILD_ARCH_DIR) && \
	$(CMAKE) -D CMAKE_BUILD_TYPE=debug \
	-D BUILD_PROGRAM=1 \
	-D BUILD_DATA=0 \
	-D BUILD_USERMANUAL=0 \
	-D CMAKE_INSTALL_PREFIX=/usr ../.. 

	$(MAKE) -C $(BUILD_ARCH_DIR)

	touch build-arch-stamp


.PHONY: build
build: build-indep-stamp build-arch-stamp

.PHONY: build-indep
build-indep: build-indep-stamp

.PHONY: build-arch
build-arch: build-arch-stamp


install-indep-stamp: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -i

	mkdir -p $(INSTALL_INDEP_DIR)
	$(MAKE) -C $(BUILD_INDEP_DIR) install DESTDIR=$(INSTALL_INDEP_DIR)

# Remove the license file
	rm $(INSTALL_INDEP_DIR)/usr/share/doc/massxpert/COPYING

	touch install-indep-stamp


install-arch-stamp: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -a

	mkdir -p $(INSTALL_ARCH_DIR)
	$(MAKE) -C $(BUILD_ARCH_DIR) install DESTDIR=$(INSTALL_ARCH_DIR)

# Install menu pixmap
	install -o root -g root -d $(INSTALL_ARCH_DIR)/usr/share/pixmaps
	install -o root -g root -m 644 \
	$(CURDIR)/gui/images/massxpert-icon-32.xpm \
	$(INSTALL_ARCH_DIR)/usr/share/pixmaps/massxpert-icon-32.xpm

# Remove the license file
	rm $(INSTALL_ARCH_DIR)/usr/share/doc/massxpert/COPYING

	touch install-arch-stamp


# Build architecture-independent files here.
.PHONY: binary-indep
binary-indep: install-indep-stamp
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_install -i
	dh_installman -i
	dh_compress -Xmassxpert.pdf -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


# Build architecture-dependent files here.
.PHONY: binary-arch
binary-arch: install-arch-stamp
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a
	dh_install -a
	dh_installmenu -a
	dh_installman -a
	dh_strip --dbg-package=massxpert-dbg -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


.PHONY: binary
binary: binary-indep binary-arch

## massxpert 3.6.1

=== debian/changelog ===
massxpert (3.6.1-1) unstable; urgency=low

  * New upstream version: Fix programming error detected by using GCC-6.
    Thanks to Lucas Nussbaum <lucas@debian.org> (Closes: 831089).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 Jul 2016 12:16:20 +0200

massxpert (3.6.0-1) unstable; urgency=medium

  * New upstream version which modifies the way masses are calculated for
    fragment oligomers so as to allow negative ionization mode
    fragmentation experiments. The user needs to review the polymer
    chemistry definitions so that they account for the new workings: the
    formula of the fragmentation patterns needs to yield a neutral species
    (typically by removing H from the original FragSpec formula: appending
    -H to it should do). The ionization of the fragments is then performed
    using the current ionization rule defined in the editor window of
    massXpert. Updated the manual to  document all these changes.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 19 Sep 2015 15:00:32 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                cmake (>= 3.2.2-2),
                texlive-latex-recommended,
                texlive-fonts-recommended
-Standards-Version: 3.9.6
-Homepage: http://www.massxpert.org
+Standards-Version: 3.9.8
+Homepage: https://www.tuxfamily.org/massxpert/
 Vcs-Git: git://anonscm.debian.org/debichem/packages/massxpert.git
-Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/massxpert.git
+Vcs-Browser: https://anonscm.debian.org/git/debichem/packages/massxpert.git
 
 Package: massxpert
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -176,7 +176,6 @@
 	dh_installchangelogs  -a
 	dh_installdocs -a
 	dh_install -a
-	dh_installmenu -a
 	dh_installman -a
 	dh_strip --dbg-package=massxpert-dbg -a
 	dh_compress -a

## massxpert 6.0.1

=== CMakeLists.txt ===
#############################################################
#############################################################
# CMake configuration
cmake_minimum_required(VERSION 3.12)

############################################################
############################################################
# Basic information about project

project(massXpert
  DESCRIPTION "A program to model and simulate mass spectra on (bio-)polymers"
  HOMEPAGE_URL "http://wwww.msxpertsuite.org/massxpert")

set(VERSION 6.0.1)


include(GNUInstallDirs)

set(HOME_DEVEL_DIR $ENV{HOME}/devel)
message("\n${BoldRed}The devel directory where all the development projects
should reside: ${HOME_DEVEL_DIR}.${ColourReset}\n")

# Add folder where are supportive functions
set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
set(CMAKE_TOOLCHAINS_PATH ${CMAKE_UTILS_PATH}/toolchains)
set(CMAKE_MODULE_PATH ${CMAKE_UTILS_PATH}/modules)

# This include must come before all the others
# It must include the config-generated config.h file
# before the others.
include_directories(${CMAKE_BINARY_DIR})

# And now the source directory contains the .h|.hpp files for its .cpp files.
include_directories(${CMAKE_SOURCE_DIR})

# For the config.h file.
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Include the system's uname that fills in SYSTEM_UNAME_S.
# Sets WIN32 if SYSTEM_UNAME_S is "^.*MING64.*"
# Note that WIN32 is set even on 64 bits systems.
include(${CMAKE_UTILS_PATH}/systemUname.cmake)

# Include the various colors we want to use in the output
include(${CMAKE_UTILS_PATH}/outputColors.cmake)

set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE ON)

message("\n${BoldRed}Configuring build for project ${CMAKE_PROJECT_NAME}${ColourReset}\n")

# This export will allow using the flags to be used by
# youcompleteme (vim plugin).
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json" )
  execute_process( COMMAND cmake -E copy_if_different
    ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
    ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
    )
endif()


# We want C++17
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
message(STATUS "${BoldGreen}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")

#############################################################
# We do not want warnings for unknown pragmas:
message(STATUS "Setting definition -Wno-unknown-pragmas.${ColourReset}")
add_definitions(-Wno-unknown-pragmas)

# Enable warnings and possibly treat them as errors
message(STATUS "${BoldGreen}Setting definition -Wall -pedantic.${ColourReset}")
add_definitions(-Wall -pedantic)
message(STATUS "${BoldGreen}Setting definition -Wextra.${ColourReset}")
add_definitions(-Wextra)

if(WARN_AS_ERROR)
  message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
  add_definitions(-Werror)
endif()

message("${BoldGreen}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")


#############################################################
#############################################################
# Platform-specific CMake configuration
if(WIN32 OR _WIN32)

  if(MXE)

    # Run the following cmake command line:
    # x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../../development
    include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)

    # Set the name to the systemUname variable because in this situation that name
    # is not found, it it passed as a flag in the command line.
    set(SYSTEM_UNAME_S "mxe")

  elseif(WIN10MINGW64)
    include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
  endif()

elseif(UNIX AND NOT APPLE)

  include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)

elseif(APPLE)

  include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)

endif()

message("")
message(STATUS "${BoldGreen}Starting configuration of ${CMAKE_PROJECT_NAME}${ColourReset}")
message("")
message(STATUS "${BoldYellow}The build toolchain is: ${SYSTEM_UNAME_S}${ColourReset}")
message("")


#############################################################
#############################################################
# Essential software configuration
message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
    "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
    FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_BUILD_TYPE MATCHES "Release")
  message(STATUS "Compiling in release mode.")
  add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif()

if(CMAKE_BUILD_TYPE MATCHES "Debug")
  message(STATUS "Compiling in debug mode.")
  message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
  add_definitions(-ggdb3)
endif()

if(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
  message(STATUS "Compiling in release with debug info mode.")
endif( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )

message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")


# Set additional project information
set(COMPANY "msXpertSuite.org")
set(COPYRIGHT "Copyright (c) 2008-2019 Filippo Rusconi. Licensed under GPLv3+")
set(IDENTIFIER "org.msxpertsuite")


if(PROFILE)
  message(STATUS "${BoldYellow}Profiling is requested, adding -pg flag.${ColourReset}")
  add_definitions(-pg)
endif()

message(STATUS "${BoldYellow}Main CMAKE_BINARY_DIR: ${CMAKE_BINARY_DIR}${ColourReset}")
message(STATUS "${BoldYellow}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")


# It is essential to run these config steps before delving into the minexpert
# directory, because at that moment they will need what are
# going to prepare right now.
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CMakeStuff/splashscreen.svg.in
  ${CMAKE_SOURCE_DIR}/images/splashscreen.svg @ONLY)

# Make the conversion of the svg file into a png, but only on GNU/Linux
if(UNIX AND NOT APPLE)
  execute_process(COMMAND convert ${CMAKE_SOURCE_DIR}/images/splashscreen.svg
    ${CMAKE_SOURCE_DIR}/images/splashscreen.png)
endif()

#############################################################
######################
# BUILD OF THE PROGRAM

message(STATUS "Adding subdirectory src for TARGET: ${TARGET}")
add_subdirectory(src)

####################################################
# Installation directories depending on the platform
####################################################

# See the CMakeStuff/toolchains platform-specific files.
message(STATUS "CMAKE_INSTALL_PREFIX: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "BIN_DIR: ${BIN_DIR}")
message(STATUS "DATA_DIR: ${DATA_DIR}")
message(STATUS "DOC_DIR: ${DOC_DIR}")


#############################################################
###################
# BUILD OF THE DATA
message(STATUS "Adding subdirectory data for project: ${CMAKE_PROJECT_NAME}")
add_subdirectory(data)


#############################################################
################################
# BUILD OF THE DOC / USER MANUAL
message(STATUS "Adding subdirectory doc for project: ${CMAKE_PROJECT_NAME}")
add_subdirectory(doc)


# Use all the configured paths to create the config.h file.
# The config file is binary directory-specific !!!
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CMakeStuff/config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/src/config.h @ONLY)

# Let's also set the software version in the DocBook entity file so that the
# user manuals show the right version.
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CMakeStuff/user-manual-version-entity.ent.in
  ${CMAKE_SOURCE_DIR}/doc/user-manual/xml/user-manual-version-entity.ent @ONLY)


#############################################################
# summary
message("")
message(STATUS "${BoldRed}~~~~~~~~~~~~~~~~~~~~~~~~ SUMMARY ~~~~~~~~~~~~~~~~~~~~~~~~${ColourReset}")
message(STATUS "${BoldRed}   General configuration of the msXpertSuite project ${ColourReset}")
message("")

message(STATUS "${BoldYellow}System is detected by CMake as ${SYSTEM_UNAME_S}${ColourReset}")
message(STATUS "${BoldYellow}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")
message(STATUS "${BoldYellow}CMAKE_CXX_STANDARD: ${CMAKE_CXX_STANDARD}${ColourReset}")

message("")

message(STATUS "${BoldYellow}CMAKE_INSTALL_PREFIX: ${CMAKE_INSTALL_PREFIX}${ColourReset}")
message(STATUS "${BoldYellow}TARGET: ${TARGET}${ColourReset}")
message(STATUS "${BoldYellow}BIN_DIR: ${BIN_DIR}${ColourReset}")
message(STATUS "${BoldYellow}DOC_DIR: ${DOC_DIR}${ColourReset}")

if(PROFILE)
  message(STATUS "${BoldYellow}Profiling is requested (-DPROFILE=1)${ColourReset}")
else()
  message(STATUS "${BoldYellow}Profiling is NOT requested (-DPROFILE=0)${ColourReset}")
endif()

if(WARNASERR)
  message(STATUS "${BoldYellow}Warnings ARE treated as errors (-DWARNASERR=1)${ColourReset}")
else()
  message(STATUS "${BoldYellow}Warnings NOT treated as errors (-DWARNASERR=0)${ColourReset}")
endif()

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "${BoldYellow}Debug support IS requested.${ColourReset}")
else()
  message(STATUS "${BoldYellow}Debug support NOT requested.${ColourReset}")
endif()

message("")
message(STATUS "${BoldYellow}The typical cmake invocation on Debian GNU/Linux would be: cmake -DCMAKE_BUILD_TYPE=Debug -DBUILD_USER_MANUAL=1 ../../development${ColourReset}")
message(STATUS "${BoldYellow}The typical cmake invocation on win10-mingw64 would be: cmake -DCMAKE_BUILD_TYPE=Release  ../../development${ColourReset}") 
message(STATUS "${BoldYellow}The typical cmake invocation on MXE would be: x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../../development${ColourReset}") 
message("")

message("")
message(STATUS "${BoldRed}~~~~~~~~~~~~~~~~~~~~~~~~ SUMMARY ~~~~~~~~~~~~~~~~~~~~~~~~${ColourReset}")
message("")

=== doc/CMakeLists.txt ===
message("")
message(STATUS "${BoldGreen}Starting configuration for the doc material for TARGET ${TARGET} ${ColourReset}")
message("")

# The UNIX man pages
if(UNIX AND NOT APPLE)

	message(STATUS "Going to generate the man pages.")

	execute_process(COMMAND docbook-to-man massxpert.xml
		OUTPUT_FILE	${CMAKE_BINARY_DIR}/massxpert.1
		WORKING_DIRECTORY	${CMAKE_CURRENT_SOURCE_DIR})

endif(UNIX AND NOT APPLE)


###############
# install stuff

# The history and licence files.

message("Installing the doc files in ${DOC_DIR}")
install(FILES history.html COPYING
	DESTINATION ${DOC_DIR})

# The man page.
if(UNIX AND NOT APPLE)
	install(FILES ${CMAKE_BINARY_DIR}/massxpert.1
		${CMAKE_BINARY_DIR}/massxpert.1
		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
endif()


#############################################################
###########################
# BUILD OF THE USER MANUALS

if(BUILD_USER_MANUAL)
	add_subdirectory(user-manual)
endif()


message("")
message(STATUS "${BoldGreen}Finished configuration of the doc material.${ColourReset}")
message("")

=== doc/user-manual/CMakeLists.txt ===
if(BUILD_USER_MANUAL)

message("")
message(STATUS "${BoldGreen}Starting configuration for the user manual for TARGET ${TARGET} ${ColourReset}")
message("")

# The user manual
if(UNIX AND NOT APPLE)

	# Command:
	# make massxpert-doc
	# Makes use of the local Makefile file.
	# Will generate HTML and PDF documentation in the build directory
	add_custom_target(massxpert-doc ALL
		COMMAND make all
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		COMMENT "DocBook-based user manual documentation for massXpert")

endif(UNIX AND NOT APPLE)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/build/massxpert-user-manual/massxpert-doc.pdf
	DESTINATION ${DOC_DIR})

install(DIRECTORY 
	${CMAKE_CURRENT_SOURCE_DIR}/build/massxpert-user-manual/html/massxpert-user-manual/
	DESTINATION ${DOC_DIR}/html)

message("")
message(STATUS "${BoldGreen}Finished configuring the massxpert user manual.${ColourReset}")
message("")

else()

  message(STATUS "User manual build skipped")

endif()

=== debian/changelog ===
massxpert (6.0.1-1) unstable; urgency=low

  * Implement ready access to the user manual from the help/about dialog
    window.

  * Some improvements in the CMake-based build system.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 23 Jul 2020 18:58:02 +0200

massxpert (6.0.0-1) unstable; urgency=low

  * New packaging that is now independent of msXpertSuite and that will be
    shipped separately from the mineXpert2 package. This software is
    considered featureful and stable. It won't change as much as minexpert2,
    so shipping it separately now makes sense.

  * Note that a number of deprecation warnings were fixed due to the
    upgrade to Qt 5.14 from 5.12 (qSort() -> std::sort() and 
    qGreater<Type>() -> std::greater<Type>() and 
    QMatrix -> QTransform).

  * The version number starts at 6.0.0.

  * I have conserved the package history below just for the record.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Jul 2020 17:35:32 +0200

msxpertsuite (5.8.7-1) UNRELEASED; urgency=low

  * Fixes to the icons handling.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 Mar 2019 14:47:15 +0100

msxpertsuite (5.8.6-2) unstable; urgency=low

  * d/control: +Homepage: http://www.msxpertsuite.org/ (not https).

  * Fix the license mismatch output by lintian (appstream.xml file vs
    d/copyright).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Mar 2019 12:40:54 +0100

msxpertsuite (5.8.6-1) unstable; urgency=low

  * Reinstate partially all the conflicts/breaks/replaces statements for the
    mspxertsuite-massxpert binary package. This ensures that upgrade of
    massxpert from stable's version to this version does not stumble upon
    overwriting blocks. Thanks to Andreas Beckmann
    <anbe@debian.org> for reporting the piuparts log (Closes: #922287).

  * Took advantage to update the
    minexpert/org.msxpertsuite.minexpert.appdata.xml file (which justifies new
    upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 14 Feb 2019 17:08:52 +0100

msxpertsuite (5.8.5-1) unstable; urgency=low

  * appdata fixes to the gpl version number (lintian warning).

  * d/rules: fix problem with the path to the .fop.xconf file not being found.
    This is a missing fix with respect to the other d/rules files that was
    working.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 12 Feb 2019 08:59:24 +0100

msxpertsuite (5.8.4-1) unstable; urgency=low

  * Make the user manuals and install them under the control of CMake.

  * Convert d/rules to the debhelper mini format.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Feb 2019 13:46:36 +0100

msxpertsuite (5.8.3-1) unstable; urgency=low

  * Make sure CMake is called during dpkg-buildpackage -A (Closes: #921727).
    Thanks to Santiago Vila <sanvila@debian.org> for the report.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Feb 2019 17:02:20 +0100

msxpertsuite (5.8.2-1) unstable; urgency=low

  * New version with the daps dependency for the user manuals build.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Feb 2019 19:04:58 +0100

msxpertsuite (5.8.1-1) UNRELEASED; urgency=low

  * New upstream release with new configuration mode for the IsoSpec isotopic
    cluster calculations.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Feb 2019 21:33:53 +0100

msxpertsuite (5.8.0-1) UNRELEASED; urgency=low

  * New upstream version with implementation of a GUI for the IsoSpec library.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 29 Jan 2019 10:12:55 +0100

msxpertsuite (5.7.3-1) unstable; urgency=low

  * Fixes upstream.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 16 Jan 2019 19:14:57 +0100

msxpertsuite (5.7.2-1) unstable; urgency=low

  * Bug fixes in upstream massXpert.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 15 Jan 2019 22:05:46 +0100

msxpertsuite (5.7.1-1) unstable; urgency=low

  * Small fixes in upstream.

  * Ship the data and doc (all-architecture) material in dedicated packages.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Dec 2018 17:07:40 +0100

msxpertsuite (5.7.0-2) UNRELEASED; urgency=low

  * Fix all -> any Arch silly error. Stupid.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Dec 2018 16:16:12 +0100

msxpertsuite (5.7.0-1) unstable; urgency=low

  * New upstream release featuring the ability to shape a mass peak centroid
    into a Gaussian/Lorentzian configurable peak. Update the user manual to
    document that new feature.
 
  * Break msxpertsuite into two binary packages: msxpertsuite-massxpert and
    msxpertsuite-minexpert.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Dec 2018 12:32:25 +0100

msxpertsuite (5.6.1-1) unstable; urgency=low

  * New upstream release to cope with the libpwiz API change in the
    BinaryDataEncoder class, with the creation of the new BinaryData class to
    handle what used to be std::vector<double>.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 11 Dec 2018 17:42:41 +0100

msxpertsuite (5.6.0-1) unstable; urgency=low

  * New upstream version:
 
    - Improve the interpreation of script lines;
    - Start implementation of a JavaScript script file to calibrate the Synapt
      data.
    - Improve the mass data integration in script mode;
    - When creating mass spectrum from clipboard, automatically trigger the
      computation of the actual mass spectrum plot without requiring a TIC 
      to mass spectrum computation.
    - Provide Savitzky-Golay filtering to any trace in any plot widget with
      undo/redo feature.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 13 Oct 2018 11:59:05 +0200

msxpertsuite (5.5.3-3) unstable; urgency=low

  * Make sure we load the orig tar ball.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Oct 2018 20:08:06 +0200

msxpertsuite (5.5.3-2) unstable; urgency=low

  * Abandon the developer documentation binary package that is too large.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Oct 2018 17:30:09 +0200

msxpertsuite (5.5.3-1) unstable; urgency=low



=== debian/control ===
Source: massxpert
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 12),
 dpkg-dev (>= 1.18.25),
 graphicsmagick-imagemagick-compat,
 qtbase5-dev (>= 5.11.3),
 libqt5svg5-dev (>= 5.11.3),
 cmake (>= 3.12),
 daps (>= 3.0.0),
 libjeuclid-core-java,
 libjeuclid-fop-java,
 docbook-mathml,
 libjs-jquery,
 libjs-highlight.js,
 libjs-mathjax,
 fonts-mathjax,
 fonts-mathjax-extras,
 texlive-fonts-extra,
 fonts-ebgaramond-extra,
 docbook-to-man,
 qttools5-dev-tools,
 qtchooser
Standards-Version: 4.5.0
Homepage: http://www.msxpertsuite.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/massxpert
Vcs-Git: https://salsa.debian.org/debichem-team/massxpert.git


Package: massxpert
Architecture: any
Depends: ${shlibs:Depends},
				 ${misc:Depends},
         massxpert-data (>= ${source:Upstream-Version})
Suggests: massxpert-doc (>= ${source:Upstream-Version})
Replaces: msxpertsuite-massxpert (<< 6.0.0)
Breaks: msxpertsuite-massxpert (<< 6.0.0)
Conflicts: msxpertsuite-massxpert
Description: polymer chemistry modelling and mass spectrometry data simulation (runtime)
 massXpert allows the user to perform the following tasks:
 .
  - Make brand new polymer chemistry definitions;
  - Use the definitions to easily perform calculations in a desktop
    calculator-like manner;
  - Perform sophisticated polymer sequence editing and simulations;
  - Perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches...
 .
 This package ships the massXpert program.


Package: massxpert-data
Architecture: all
Depends: ${misc:Depends},
Suggests: massxpert-doc (>= ${source:Upstream-Version})
Replaces: msxpertsuite-massxpert-data-doc (<< 6.0.0)
Breaks: msxpertsuite-massxpert-data-doc (<< 6.0.0)
Conflicts: msxpertsuite-massxpert-data-doc
Description: polymer chemistry modelling and mass spectrometry data simulation (data)
 massXpert allows the user to perform the following tasks:
 .
  - Make brand new polymer chemistry definitions;
  - Use the definitions to easily perform calculations in a desktop
    calculator-like manner;
  - Perform sophisticated polymer sequence editing and simulations;
  - Perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches...
 .
 This package ships the polymer chemistry data.


Package: massxpert-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-highlight.js,
         ${misc:Depends}
Replaces: msxpertsuite-massxpert-data-doc (<< 6.0.0)
Breaks: msxpertsuite-massxpert-data-doc (<< 6.0.0)
Conflicts: msxpertsuite-massxpert-data-doc
Description: polymer chemistry modelling and mass spectrometry data simulation (doc)
 massXpert allows the user to perform the following tasks:
 .
  - Make brand new polymer chemistry definitions;
  - Use the definitions to easily perform calculations in a desktop
    calculator-like manner;
  - Perform sophisticated polymer sequence editing and simulations;
  - Perform m/z list comparisons;
 .
 Chemical simulations encompass cleavage (either chemical or
 enzymatic), gas-phase fragmentations, chemical modification of any
 monomer in the polymer sequence, cross-linking of monomers in the
 sequence, arbitrary mass searches...
 .
 This package ships the user manual in both PDF and HTML formats.
